Support » Plugin: PPOM for WooCommerce » Critical error after updating to 22.0

  • Resolved slylalonde

    (@slylalonde)


    After updating the PPOM plugin from version 21.1 to 22.0, all the pages that contain a PPOM field gives a critical error. If I turn off the plugin the pages work fine.

Viewing 11 replies - 1 through 11 (of 11 total)
  • Thread Starter slylalonde

    (@slylalonde)

    Does anyone have the 21.1 version?

    I encounter the error:

    Undefined property: stdClass::$productmeta_js in /web/htdocs/www.wood4you.it/home/wp-content/plugins/woocommerce-product-addon/classes/ppom.class.php on line 322

    And the prices get huge values, like x 10.000!

    Thread Starter slylalonde

    (@slylalonde)

    Hi Lisa,
    You don’t have the 21.1 version by any chance?

    On our Coffee site the prices don’t work for the larger items. If someone orders a 5 lb bag of coffee it charges the 1 lb bag price. We are running Pro with the PPOM. I just turned off the PPOM off for now. Im sure you guys will sort it out. Thanks, John

    I used Version 20.0 for now and it works with the new WooCommerce

    • This reply was modified 9 months, 1 week ago by studioactiv8.

    I don’t have 21.1 but I could share 20 with you?

    @slylalonde I updated to version 22 and it was faulty, now back to 21.1 and everything is ok. Can anyone fix my error with version 22?

    Undefined property: stdClass::$productmeta_js in /web/htdocs/www.wood4you.it/home/wp-content/plugins/woocommerce-product-addon/classes/ppom.class.php on line 322

    Thanks,
    Lisa

    Plugin owner must fix this

    For those who want to revert back:
    When you install plugin: WP Rollback

    After installing it, go to the plugins page, find PPOM and click rollback.
    You can choose to rollback to 21.1 or older 🙂

    @slylalonde

    • This reply was modified 9 months, 1 week ago by darkallman.
    Plugin Author N-Media

    (@nmedia)

    Hi there,

    first of all sorry for the late reply.

    Ok, we will look into this and get back to you, meanwhile, you can revert back to the previous version and it’s up to date using this setting:https://drive.google.com/file/d/1rOQrxrdqYSobtZPqX-mKcsVn7sLgvn11/view?usp=sharing

    By the way, deactivate and activate the plugin once, it should resolve this issue.

    The next Version 22.1 just got released and it works great.. Najeeb offers update and great support!

    Plugin Author N-Media

    (@nmedia)

    Glad it hear this 🙂

Viewing 11 replies - 1 through 11 (of 11 total)
  • The topic ‘Critical error after updating to 22.0’ is closed to new replies.